Get dataset

Prev Next

Available in Classic and VPC

Get details about a specific dataset among the created datasets.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /datasets/{datasetId}

Request headers

For headers common to all AiTEMS APIs, see AiTEMS request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
datasetId String Required Dataset ID

Request example

The following is a sample request.

curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/datasets/bu457******' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
datasetId String - Dataset ID
type String - Dataset type
  • user | item | interaction
    • user: data containing user information (age, gender, etc.)
    • item: data with product-related information (price, release date, category, etc.)
    • interaction: data that captures the history of interactions between users and products
name String - Dataset name
description String - Dataset description
schemaName String - Dataset schema name
status String - Dataset status
  • enable | waiting | processing | upload_failed | disable | deleting
    • enable: training available
    • waiting, processing: pending
    • upload_failed, disable, deleting: upload failure
osInfo Object - Information of Object Storage where the data file is stored
osInfo.region String - Region of Object Storage where the data file is stored
  • KR
osInfo.bucket String - Bucket name of Object Storage where the data file is stored
osInfo.key String - Path (prefix) of Object Storage where the data file is stored
connectedServices Array - Information about service using dataset: connectedServices
createdDate String - Dataset creation date and time
updatedDate String - Last update date and time of the dataset

connectedServices

The following describes connectedServices.

Field Type Required Description
serviceId String - Service ID
name String - Service name

Response status codes

For response status codes common to all AiTEMS APIs, see AiTEMS response status codes.

Response example

The following is a sample example.

{
    "datasetId": "bu457******",
    "type": "interaction",
    "name": "interaction_dataset",
    "description": "",
    "schemaName": "interaction_schema",
    "status": "enable",
    "osInfo": {
        "region": "KR",
        "bucket": "aitems",
        "key": "interaction_dataset.csv"
    },
    "connectedServices": [
        {
            "serviceId": "fboyb******",
            "name": "service"
        },
        {
            "serviceId": "xv94v******",
            "name": "service1"
        },
        {
            "serviceId": "6wxgu******",
            "name": "service3"
        }
    ],
    "createdDate": "2024-07-30T09:49:19.254",
    "updatedDate": "2024-07-30T09:49:35.364"
}